:root{
    height: 100%;
    --accent-color: #142C68;
    --font-menu: "Segoe UI";
    --font-default: "Segoe UI";
    --text-color: rgb(33, 37, 41);
    --button-color: #007bff;
    --button-color_delete: #dc3545;
    --button-border: #0062cc;
    --button-color_disabled: #858589;
    width: 100%;
}
body {
    margin: 0;
    color: var(--text-color);
    font-family: var(--font-default);
    display: flex;
    flex-direction: column;
    gap: .5rem;
    height: 100%;
}
.header__logoBar {
    display: flex;
    flex-direction: row;
    margin: 23px 7.5%;
    justify-content: space-between;
    padding: 0 16px;
    line-height: 0;
}
.header__nav {
    background-color: var(--accent-color);
    display: flex;
    justify-content: space-evenly;
    padding: 14px 0;
}
.header__nav_link {
    color: white;
    text-decoration: none;
    font-weight: 600;
    padding: .5rem;
}
.footer {
    background-color: var(--accent-color);
    color: white;
    min-height:190px;
    padding: 42px 7.5% 12px 7.5%;
    line-height: 1.5rem;
    display: flex;
    flex-direction: column;
    gap: .5rem;
    box-sizing: border-box;
}
.footer__login {
    display: flex;
    flex-direction: column;
    color:white;
}
.footer__login__link {
    color:white;
}
.address {
    display: flex;
    font-style: normal;
    flex-direction: column;
}
.page {
    padding: 16px 7.5%;
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    gap: .5rem;
}
.page__title {
    font-weight: 500;
    font-size: 2rem;
    text-align:center;
    margin: .6rem 0 1.2rem 0;
}
.page__subtitle {
    font-weight: 500;
    font-size: 1.5rem;
    padding: 1rem 0;
    margin:0;
}
.textblock {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}
.textblock__paragraph {
    line-height: 1.5rem;
    margin: 0;
}

.status{
    font-weight: 700;
    color: darkgreen;
    margin: 2rem 0;
    font-size: 1.2rem;
}
@media (min-width: 640px) {
    .page__title {
        text-align: left;
    }
    .header__nav {
        padding: 14px 7.5%;
        justify-content: flex-start;
    }
}

@media (min-width: 840px) {
    .header__logoBar {
        margin: 23px 15%;
    }
    .header__nav {
        padding: 14px 15%;
    }

    .page {
        padding: 16px 15%;
        flex-grow: 1;
    }
    .footer {
        padding: 42px 15% 12px 15%;
        flex-direction: row;
        justify-content: space-between;
    }
}

@media (min-width: 1200px) {
    .header__logoBar {
        margin: 23px 20%;
    }
    .header__nav {
        padding: 14px 22.5%;
    }
    .page {
        padding: 16px 22.5%;
        flex-grow: 1;
    }
    .page__title {
        font-size: 2.5rem;
    }
    .page__subtitle {
        font-size: 1.75rem;
    }
    .footer {
        padding: 42px 22.5% 12px 22.5%;
    }
}
